package weblog.business.libs;

import org.objectweb.jonathan.apis.kernel.Context;
import org.objectweb.jonathan.apis.kernel.Factory;

public class FlatFileEntriesReaderFactory implements Factory {

    public FlatFileEntriesReaderFactory() {
    }

    public Object newObject(Context context) {
	String filename = (String)context.getValue("entries file", (char)0);
	boolean rightOrder = true;
	try {
	    rightOrder = ((Boolean)context.getValue("right order", (char)0)).booleanValue();
	} catch (ClassCastException ignored) {
	    // "rightOrder" is a Context.NO_VALUE rather than a
	    // Boolean...
	}
	return new FlatFileEntriesReader(filename, rightOrder);
    }
}
